package com.ruoyi.common.constant;

/**
 * 个人消息：标题、APP路由、PC路由
 */
public enum SysNoticeTitleRouteEnum {

//    tb_danger               隐患信息表
//    work_ticket_basic_data  作业票
//    tb_check_task_inventory_record 巡检清单记录

    //页面路由：隐患
//    DANGER_PC("/trouble/trouble"),
//    DANGER_APP("/dangerList"),

    //页面路由：作业票
//    WORK_PC("/pc/workTicket"),
//    WORK_APP("/app/workTicket"),

    //页面路由：巡检清单记录
//    TASK_INVENTORY_PC("/pc/taskInventory"),
//    TASK_INVENTORY_APP("/app/taskInventory");

    DRILL_MSG("您有新的演习消息待处理", "/meet", "/emergencies/manoeuvre"),

    //页面路由：隐患
    DANGER("您有新的隐患单据待处理", "/dangerList", "/trouble/trouble"),

    //页面路由：作业票
    WORK("您有新的作业票单据待处理", "/licenseList", "/work/work/jobList"),

    //页面路由：巡检清单记录
    TASK_INVENTORY("您有新的巡检任务待处理", "/app/taskInventory", "/pc/taskInventory");


    //    private String value;
    private String title;
    private String appRoute;
    private String pcRoute;

    SysNoticeTitleRouteEnum(String title, String appRoute, String pcRoute) {
//        this.value = value;
        this.title = title;
        this.appRoute = appRoute;
        this.pcRoute = pcRoute;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAppRoute() {
        return appRoute;
    }

    public void setAppRoute(String appRoute) {
        this.appRoute = appRoute;
    }

    public String getPcRoute() {
        return pcRoute;
    }

    public void setPcRoute(String pcRoute) {
        this.pcRoute = pcRoute;
    }
}
